Read Block Schema By Checksum
curl --request GET \
--url https://api.example.com/block_schemas/checksum/{checksum}import requests
url = "https://api.example.com/block_schemas/checksum/{checksum}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/block_schemas/checksum/{checksum}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"checksum": "<string>",
"block_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fields": {},
"block_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"slug": "<string>",
"logo_url": "<string>",
"documentation_url": "<string>",
"description": "<string>",
"code_example": "<string>",
"is_protected": false
},
"capabilities": [
"<string>"
],
"version": "non-versioned"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Block schemas
Read Block Schema By Checksum
GET
/
block_schemas
/
checksum
/
{checksum}
Read Block Schema By Checksum
Headers
Path Parameters
The block schema checksum
Query Parameters
Version of block schema. If not provided the most recently created block schema with the matching checksum will be returned.
Response
Successful Response
An ORM representation of a block schema.
The block schema's unique checksum
A block type ID
The block schema's field schema
The associated block type
Show child attributes
Show child attributes
A list of Block capabilities
Human readable identifier for the block schema
Was this page helpful?